Tamio

Add a bonus to an affiliate

POST https://api.tamio.com/v2/affiliates/bonus/add/{uuid}

Adds a bonus amount to an affiliate partner's balance. The amount is specified in the smallest currency unit (e.g., cents).

Path Parameters

uuid string*

UUID of the affiliate to add the bonus to.

Body Parameters

amount integer*

Bonus amount in the smallest currency unit.

Example
{
  "amount": 500
}

Responses

200 Bonus added successfully.

Bonus added successfully.

status integer
affiliate Affiliate
400 Validation or business logic error. Possible causes:
401 Missing or invalid Bearer token.
/affiliates/bonus/add/{uuid}
1const response = await fetch("https://api.tamio.com/v2/affiliates/bonus/add/{uuid}", {
2 method: "POST",
3 headers: {
4 "Authorization": "Bearer YOUR_API_KEY",
5 "Content-Type": "application/json"
6 },
7 body: JSON.stringify({
8 "amount": 500
9 })
10});
11const data = await response.json();
Responses
{
  "status": 200,
  "affiliate": {
    "object": "affiliate",
    "email": "[email protected]",
    "name": "Jane",
    "surname": "Doe",
    "address": "123 Main Street",
    "city": "London",
    "state": "England",
    "country": "GB",
    "postcode": "SW1A 1AA",
    "vat": "GB123456789",
    "telephone": "+44 20 7946 0958",
    "billing_information": {
      "name": "Jane Doe",
      "email": "[email protected]",
      "address": "123 Main Street",
      "city": "London",
      "country": "GB",
      "postcode": "SW1A 1AA"
    },
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "bonus": 500,
    "approved": true,
    "date_joined": 1706140800,
    "language": "en",
    "payments": [
      "stripe",
      "paypal"
    ],
    "has_notes": false,
    "sales": 42,
    "referrals": 18,
    "affiliate_program_id": "f0e1d2c3-b4a5-6789-0fed-cba987654321",
    "affiliate_program_label": "Default Program",
    "currency": "USD",
    "balance": 15000
  }
}